library(ggplot2)
library(tidyr)
library(scales)
#faili sisselugemine ja andmete formaadi korrigeerimine
J242=read.csv2("PT2-T2.4-J2.4.2.csv",header=TRUE, encoding ="UTF-8")
J242$Keskmine=as.numeric(J242$Keskmine)
J242$Usaldusintervallid=as.numeric(J242$Usaldusintervallid)
J242$Usaldusintervallid.1=as.numeric(J242$Usaldusintervallid.1)
names(J242)[1]="Sünniaasta"

#joonis
ggplot(J242,aes(x=Sünniaasta,y=Keskmine,col=Sugu))+
  geom_point(position=position_dodge(0.2),cex=3)+
  geom_errorbar(aes(x=Sünniaasta,ymin=Usaldusintervallid,ymax=Usaldusintervallid.1),width=0.2,linewidth=0.9,position=position_dodge(0.2))+
  theme_minimal()+
  scale_color_manual(values=c("#6666cc","#FF3600"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"),legend.title=element_blank())+
  ylab("Keskmine depressiivsus (EURO-D)")




